package cmdbuild.actions;


import cmdbuild.action_forms.CreateDomainForm;
import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBmap;
import cmdbuild.collection.DomainBean;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

public class CreateDomainAction extends DispatchAction {

	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward create(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		String name = ((CreateDomainForm)form).getName();
		String directDescription = ((CreateDomainForm)form).getDirectDescription();
		String inverseDescription = ((CreateDomainForm)form).getInverseDescription();
		String startClass = ((CreateDomainForm)form).getStartClass();
		String endClass = ((CreateDomainForm)form).getEndClass();
		String cardin = ((CreateDomainForm)form).getCard1()+":"+((CreateDomainForm)form).getCard2();
		String status = ((CreateDomainForm)form).getStatus();
		DomainBean bean = new DomainBean();
		bean.setName(name);
		bean.setDirectDescription(directDescription);
		bean.setInverseDescription(inverseDescription);
		bean.setStartClass(startClass);
		bean.setEndClass(endClass);
		bean.setCardinality(cardin);
		bean.setStatus(status);
		// String category = ((CreateTableForm)form).getCategory();
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBmap MAP = new CMDBmap(db);
		boolean ok = MAP.createDomain(bean);
		if (ok){
			System.out.println("Dominio creato " + name);
			String close="ok";
			request.getSession().setAttribute("close",close);
			return mapping.findForward("create");
		} else {
			System.out.println("Dominio non creato");
			return mapping.findForward("error");
		}
	}
} // end of class
