<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.collection.*" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
	String name = "";
    if (request.getParameter("class") != null){
		name = request.getParameter("class");
		request.getSession().setAttribute("class",name);
    } else if (request.getSession().getAttribute("class") != null){
		name = (String) request.getSession().getAttribute("class");
	} 
%>

<meta HTTP-EQUIV="Pragma" content="no-cache">
<META HTTP-EQUIV="expires" CONTENT="0">
<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title>
		<style type="text/css" media="all"> @import "style/header.css"; </style>
		<style type="text/css" media="all"> @import "style/footer.css"; </style>
		<style type="text/css" media="all"> @import "style/menuleft.css"; </style>
		<style type="text/css" media="all"> @import "style/area.css"; </style>
	</head>
	<body>
		
	<%@ include file="include/header-imp.jsp"%>	
	<%@ include file="menutree.jsp"%>

		
	<div id="area">
		<div id="tab">
			<div class="tabI"><a href="lookup.jsp"><bean:message key="com.lookup"/></a></div>
			<div class="tabA"><a href="category.jsp"><bean:message key="com.categories"/></a></div>
			<div class="tabI"><a href="settings.jsp"><bean:message key="com.settings"/></a></div>
		</div>
		
		<div id="container" align="left">
		<html:form method="POST" action="category">
		<html:hidden property="name"/>
		<html:hidden property="method"/>
		<html:hidden property="index"/>
		<html:hidden property="target"/>
		<%
			CategoryForm form = (CategoryForm) request.getAttribute("categoryForm");
			Vector vect= form.getCategoryBeanVector();
			CategoryBean bean = null;
		%>
		<div id="icons">
		<table id="icotable">
			<tr>
				<td class="td50">
					<a href="javascript:void(0)" onclick="window.open('createcategory.jsp?idcategory=<%= form.getMacroCategoryId() %>&type=<%= form.getMacroName() %>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img src="images/ico_add.gif" alt="nuova categoria" title="nuova categoria" class="icon"></a>
					<a href="javascript:void(0)" onclick="window.open('createmacrocategory.jsp',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img src="images/ico_add_type.gif" alt="nuova macrocategoria" title="nuova macrocategoria" class="icon"></a>
				</td>
				<td class="td50">
					<bean:message key="com.macrocategory"/>
					<html:select property="search" onchange="method.value='search';submit()">
					<html:optionsCollection property="categoryType" value="id" label="description"/>
					</html:select>
				</td>
			</tr>
		</table>
		</div>
				<table class="show" border="1" cellpadding="0" cellspacing="0">
					<th><bean:message key="com.category"/></th><th><bean:message key="com.description"/></th><th>&nbsp;</th>
					<% if (vect != null) {
						Enumeration e = vect.elements();
						while (e.hasMoreElements()) {
							bean = (CategoryBean)e.nextElement();
							if (bean == null) break;
						%>
						<tr <%if (!bean.getStatus().equals("A")){ out.print("style=\"font-style:italic\"");}%>>
						   <td><%= bean.getMacroCategory() %></td>
						   <td><% if ((bean.getDescription()!= null) && (bean.getDescription().length() > 0)) {out.print(bean.getDescription());} else {out.print("&nbsp;");} %></td>
						   <td style="width:100px">
						   		<a href="javascript:categoryForm.target.value='<%= bean.getDescription() %>';categoryForm.index.value='<%= bean.getNumber() %>';categoryForm.method.value='down';categoryForm.submit()"><img src="images/ico_down.gif" alt="down" title="down"></a>
						   		<a href="javascript:categoryForm.target.value='<%= bean.getDescription() %>';categoryForm.index.value='<%= bean.getNumber() %>';categoryForm.method.value='up';categoryForm.submit()"><img src="images/ico_up.gif" alt="up" title="up"></a>
						   		<a href="javascript:void(0);" onclick="javascript:window.open('modifycategory.jsp?idcategory=<%= bean.getMacroCategoryId() %>&type=<%= form.getMacroName() %>&sequence=<%= bean.getNumber() %>&objid=<%= bean.getId() %>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img src="images/ico_edit.gif" alt="modifica" title="modifica"></a>
						   		<a href="javascript:categoryForm.target.value='<%= bean.getDescription() %>';categoryForm.index.value='<%= bean.getNumber() %>';categoryForm.method.value='del';categoryForm.submit()"><img src="images/ico_del.gif" alt="cancella" title="cancella"></a>
						   </td>
						</tr>
						<% 
						} // end ehile
					} // end if%>
				</table>
					<%
					if (vect != null){
						request.getSession().setAttribute("max",((vect.size()+1)+"")); 
					}
					%>	
			</html:form>
		</div> <!-- End container -->
	</div>
		
	<div class="pulito"></div>
		<%@ include file="include/footer.jsp"%>
	</body>
</html:html>