<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.presentation.*" %>
<%@page import="cmdbuild.action_forms.GroupForm" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<html:html locale="true">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
	<title></title>
	<style type="text/css" media="all"> @import "style/header.css";</style>
	<style type="text/css" media="all"> @import "style/footer.css";</style>
	<style type="text/css" media="all"> @import "style/menuleft.css";</style>
	<style type="text/css" media="all"> @import "style/area.css";</style>
	<script type="text/javascript">
	function moveAll(sw){
		var the_form = window.document.forms[0];
		var radio_buttons = new Array();
		var j = 0;
		var allclasses = the_form.allclasses;
		var choose=sw.value;
		if (allclasses.checked){
			//alert(sw.value);
			for(var i=0; i<the_form.length; i++){
			     var temp = the_form.elements[i].type;
			     if(temp == "radio"){
			     	the_form.elements[i].checked=false;
			     } 
			}
			for(var i=0; i<the_form.length; i++){
			     var temp = the_form.elements[i].type;
			     if((temp == "radio") && (the_form.elements[i].value==choose)){
			     	the_form.elements[i].checked=true;
			     } 
			}
		}
	}
	function switchTable(){
		var the_form = window.document.forms[0];
		var allclasses = the_form.allclasses;
		var tabSmall = document.getElementById("smallTable");
		var tabBig = document.getElementById("bigTable");
		if (allclasses.checked){
			tabSmall.style.display="";
			tabBig.style.display="none";
		} else {
			tabSmall.style.display="none";
			tabBig.style.display="";
		}
	}
	</script>

</head>
<body>
		
	<%@ include file="include/header-use.jsp"%>	
	<%@ include file="menutree.jsp"%>	
		
	<div id="area">
		<div id="tab">
			<div class="tabI"><a href="user.jsp"><bean:message key="com.users"/></a></div>
			<div class="tabA"><a href="group.jsp"><bean:message key="com.groups"/></a></div>
		</div>
		<div id="container">
			<html:form method="POST" action="group">
			<html:hidden property="method"/>
			<html:hidden property="target"/>
			<% 
				GroupForm form = (GroupForm)request.getAttribute("groupForm");
				HTMLgroup presentation = form.getPresentation();
				out.print(presentation.toForm());
			%>
			</html:form>		
		<html:errors/>
		</div> <!-- Fine container -->
	</div> <!-- Fine area -->
		
	<div class="pulito"></div>
	<%@ include file="include/footer.jsp"%>
</body>
</html:html>

