<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.presentation.*" %>
<%@page import="cmdbuild.action_forms.HistoryForm" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<html:html locale="true">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
	<title></title>
	<style type="text/css" media="all"> @import "style/header.css";</style>
	<style type="text/css" media="all"> @import "style/footer.css";</style>
	<style type="text/css" media="all"> @import "style/menuleft.css";</style>
	<style type="text/css" media="all"> @import "style/area.css";</style>
</head>
<body>
		
	<%@ include file="include/header-ges.jsp"%>	
	<%@ include file="menutree-ges.jsp"%>	
		
	<div id="area">
		<div id="tab">
			<div class="tabI"><a href="search.jsp?mode=filter"><bean:message key="com.search"/></a></div>
			<div class="tabI"><a href="card.jsp?mode=show"><bean:message key="com.card"/></a></div>
			<div class="tabI"><a href="note.jsp"><bean:message key="com.notes"/></a></div>
			<div class="tabI"><a href="relation.jsp"><bean:message key="com.relation"/></a></div>
			<div class="tabA"><a href="history.jsp"><bean:message key="com.history"/></a></div>
		</div>
		<div id="container">
			<html:form method="POST" action="history">
			<html:hidden property="method"/>
			<html:hidden property="currentPage"/>
			<% 
				HistoryForm form = (HistoryForm)request.getAttribute("historyForm");
				String className = form.getClassName();
				if (user.isAllowed(className,1)){
					out.print(form.getPresentation().toHistoryTable());
				} else {
					out.print(form.getPresentation().toWarning());
				}
			%>
			</html:form>		
		<html:errors/>
		</div> <!-- Fine container -->
	</div> <!-- Fine area -->
		
	<div class="pulito"></div>
	<%@ include file="include/footer.jsp"%>
</body>
</html:html>

