package cmdbuild.actions;

import java.util.*;

import cmdbuild.action_forms.CardForm;
import cmdbuild.action_forms.NoteForm;
import cmdbuild.collection.AssetBean;
import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBclass;
import cmdbuild.utils.SecurityDescriptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

public class NoteAction extends DispatchAction {

	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	
	public ActionForward modify(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**MODIFY**");
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		Vector columnVector = new Vector();
		AssetBean bean = new AssetBean();
		String name = ((NoteForm)form).getName();
		int id = ((NoteForm)form).getRowId();
		String manager = ((NoteForm)form).getManager();
		String value="";
		// setting the couple (name,value);
		// recovers values from the query string
		bean.setName("Notes");
		bean.setMandatory("N");
		bean.setType("varchar");
		value= (String)request.getParameter("note");
		bean.setValue(value);
		System.out.println("nome="+bean.getName()+"valore="+value);
		columnVector.add(bean);
		// getting user from session
		SecurityDescriptor user = null;
		String us = null;
		if (request.getSession().getAttribute("user")!=null){
			user = (SecurityDescriptor)request.getSession().getAttribute("user");
			us = user.getUserName();
		}
		CMDBclass CMDB = new CMDBclass(db);
		CMDB = CMDB.load(CMDB,manager);
		boolean ok = CMDB.setCardNotes(name,id,value,us);
		// refreshing the page
		((NoteForm)form).reset(mapping,request);
		if (ok){
			System.out.println("Scheda modificata");
			return mapping.findForward("modify");
		} else {
			System.out.println("Scheda non modificata");
			return mapping.findForward("error");
		}
	}
	
	public ActionForward nofilter(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**CLEARFILTER**");
		String className = request.getParameter("name");
		// saved in the session, allow showing of subset of cards
		Hashtable filterBean = null;
		if (request.getSession().getAttribute("filterBean")!=null){
			filterBean = (Hashtable)request.getSession().getAttribute("filterBean");
			if (filterBean.containsKey(className)){
				filterBean.remove(className);
			}
		}
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBclass CMDB = new CMDBclass(db);
		Vector rowIdVector = CMDB.selectCardsId(className);
		((CardForm)form).setRowIdVector(rowIdVector);
		request.getSession().setAttribute("filterBean",filterBean); 
		((NoteForm)form).reset(mapping,request);
		return mapping.findForward("filter");
	}


} // end of class
