<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.db.*"%>
<%@page import="cmdbuild.collection.ClassBean"%>
<%@page import="cmdbuild.action_forms.*" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
String mmode="";  // mode types are: filter,create,modify,show || null
if (request.getParameter("mode")!=null){
	mmode = request.getParameter("mode");
	request.getSession().setAttribute("mode",mmode);
	//System.out.println("mode from request="+mmode);
} else if (request.getSession().getAttribute("mode")!=null){
	mmode = (String)request.getSession().getAttribute("mode");
	//System.out.println("mode from session="+mmode);
} else {
	mmode = "show";
}
String cmdbRealPath = getServletConfig().getServletContext().getRealPath("");
session.setAttribute("cmdbRealPath",cmdbRealPath);
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title>
		<style type="text/css" media="all"> @import "style/header.css"; </style>
		<style type="text/css" media="all"> @import "style/footer.css"; </style>
		<style type="text/css" media="all"> @import "style/menuleft.css"; </style>
		<style type="text/css" media="all"> @import "style/area.css"; </style>
	</head>
	<body>
		
	<%@ include file="include/header-sch.jsp"%>	
	<%@ include file="menutree.jsp"%>

	<div id="area">
		<html:form method="POST" action="/class">
		<html:hidden property="className"/>
		<html:hidden property="method"/>
		<html:hidden property="validate"/>
		<% 
		ClassForm form = (ClassForm) request.getAttribute("classForm"); 
		%>
		<div id="tab">
			<div class="tabA"><% 
							  if (form.getClassName()==null || form.getClassName().length()==0){%>
							  <a href="class.jsp?mode=create">
							  <%} else { %>
							  <a href="class.jsp?mode=show">
							  <%}%>
							  <bean:message key="com.classes"/></a></div>
			<div class="tabI"><a href="attribute.jsp?class=<%= form.getClassName()%>"><bean:message key="com.attributes"/></a></div>
			<div class="tabI"><a href="domain.jsp?class=<%= form.getClassName()%>"><bean:message key="com.domains"/></a></div>
		</div>
		<div id="container">
		<%
		String className = form.getName();
		if ( (mmode.equals("")) || (mmode.equals("show")) ){
			out.print(form.getPresentation().toClassForm());
		} else if(mmode.equals("create")){
			out.print(form.getPresentation().toClassCreate());
		} else if(mmode.equals("modify")){
			out.print(form.getPresentation().toClassModify());
		} else {
			out.print(form.getPresentation().toClassForm());
		}
		%>
		<html:errors/>
		</div> <!-- end container -->
		</html:form>
	</div>
	<div class="pulito"></div>
		<%@ include file="include/footer.jsp"%>
	</body>
</html:html>