<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.utils.SecurityDescriptor"%>

<%@ page session="true" %>
<% 
SecurityDescriptor user = null;
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
}
if ( (request.getSession().getAttribute("logged")==null) || (request.getSession().getAttribute("logged")=="false")){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
if ( user!=null && !user.isAdministrator()){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
%>

<%
String close="";
if (request.getSession().getAttribute("close") != null){
	close = (String)request.getSession().getAttribute("close");
	request.getSession().removeAttribute("close");
}
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title> 
		<style type="text/css" media="all"> @import "style/popup.css"; </style>
		<script type="text/javascript">
		function closeW(){
			window.opener.document.domainForm.method.value="del";
			// window.opener.location.href=window.opener.location.href;
			opener.location.href="domain.jsp";
			window.close();
		}
		</script>
	</head>
	<%if (close.equals("ok")){ %>
	<body onload="closeW()">
	<%} else {%>
	<body>
	<%} %>
	<div align="center">	
	<div id="area">
		<bean:message key="createdomain.title"/>
		<div id="container">
			<html:form method="POST" action="createDomain">
			<% CreateDomainForm form = (CreateDomainForm) request.getAttribute("createDomainForm"); %>
			<table cellpadding="5" cellspacing="0">
				<html:hidden property="method"/>
				<html:hidden property="className"/>
				<tr><td><bean:message key="com.name"/></td><td><html:text property="name"></html:text></td></tr>
				<tr><td><bean:message key="com.directdescription"/></td><td><html:text property="directDescription"></html:text></td></tr>
				<tr><td><bean:message key="com.inversedescription"/></td><td><html:text property="inverseDescription"></html:text></td></tr>
				<tr>
				    <td><bean:message key="com.startclass"/></td>
				    <td>
				    	<html:select property="startClass">
				    	<html:optionsCollection property="class1" value="name" label="name"/>
				    	</html:select>
				    </td>
				</tr>
				<tr>
				    <td><bean:message key="com.endclass"/></td>
				    <td>
				    	<html:select property="endClass">
				    	<html:optionsCollection property="class2" value="name" label="name"/>
				    	</html:select>
				    </td>
				</tr>
				<tr>
					<td><bean:message key="com.cardinality"/></td>
				    <td>
				    	<select name="card1">
				        <option>1</option>
						<option>N</option>
						</select>:
				    	<select name="card2">
				        <option>1</option>
						<option>N</option>
						</select>
					</td>	
				</tr>
				<tr>
					<td><bean:message key="com.status"/></td>
				    <td>
				    	<select name="status">
				        <option value="active"><bean:message key="com.active"/></option>
						<option value="noactive"><bean:message key="com.noactive"/></option>
						</select>
					</td>	
				</tr>
				<tr><td><input type="button" name="button" value="<bean:message key="com.confirm"/>" onclick="method.value='create';submit();" class="button"></td>
				<td><input type="button" name="button" value="<bean:message key="com.cancel"/>" onclick="window.close();" class="button"></tr>
			</table>
			</html:form>
			<html:errors/>
		</div> <!-- Fine container  -->
	</div> <!-- Fine area -->
	</div> <!-- Fine del center -->
	</body>
</html:html>