<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.utils.SecurityDescriptor"%>

<%@ page session="true" %>
<% 
SecurityDescriptor user = null;
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
}
if ( (request.getSession().getAttribute("logged")==null) || (request.getSession().getAttribute("logged")=="false")){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
if ( user!=null && !user.isAdministrator()){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
%>

<%
String close="";
if (request.getSession().getAttribute("close") != null){
	close = (String)request.getSession().getAttribute("close");
	request.getSession().removeAttribute("close");
}
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title> 
		<style type="text/css" media="all"> @import "style/popup.css"; </style>
		<script type="text/javascript">
		function closeW(){
			window.opener.document.userForm.method.value="del";
			// window.opener.location.href=window.opener.location.href;
			opener.location.href="user.jsp";
			window.close();
		}
		</script>
	</head>
	<%if (close.equals("ok")){ %>
	<body onload="closeW()">
	<%} else {%>
	<body>
	<%} %>
	<div align="center">	
	<div id="area">
		<bean:message key="modifyuser.title"/>
		<div id="container">
			<html:form method="POST" action="modifyUser">
			<% ModifyUserForm form = (ModifyUserForm) request.getAttribute("modifyUserForm"); %>
			<table cellpadding="5" cellspacing="0">
				<html:hidden property="method"/>
				<tr><td><bean:message key="com.username"/></td><td><html:text property="userName"></html:text></td></tr>
				<tr><td><bean:message key="com.description"/></td><td><html:text property="description"></html:text></td></tr>
				<tr><td><bean:message key="com.password"/></td><td><html:password property="password"></html:password></td></tr>
				<tr><td><bean:message key="com.repeatpassword"/></td><td><html:password property="confirmPassword"></html:password></td></tr>
				<tr><td><bean:message key="com.group"/></td>
					<td><select name="groupId" multiple><%= form.getHTMLOptionGroups() %></select></td>
				</tr>    
				<tr>
					<td><bean:message key="com.status"/></td>
				    <td>
				    <% if (form.getStatus()!=null && form.getStatus().equals("A")){ %>
				    	<select name="status">
				        <option value="active"><bean:message key="com.active"/></option>
						<option value="noactive"><bean:message key="com.noactive"/></option>
						</select>
					<%} else { %>
				    	<select name="status">
						<option value="noactive"><bean:message key="com.noactive"/></option>
						<option value="active"><bean:message key="com.active"/></option>
						</select>
					<%} %>	
					</td>	
				</tr>
				<tr><td><input type="button" name="button" value="<bean:message key="com.confirm"/>" onclick="method.value='modify';submit();" class="button"></td>
				<td><input type="button" name="button" value="<bean:message key="com.cancel"/>" onclick="window.close();" class="button"></tr>
			</table>
			</html:form>
			<html:errors/>
		</div> <!-- Fine container  -->
	</div> <!-- Fine area -->
	</div> <!-- Fine del center -->
	</body>
</html:html>